<?php

use Illuminate\Database\Migrations\Migration;

class CommentsSettings extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('comments', function($table) {
			$table->integer('bewertung');
			$table->dropColumn('event');

		});

		Schema::create('news', function($table) {
			$table->increments('id');
			$table->integer('author');
			$table->string('headline');
			$table->text('body');
			$table->timestamps();
		});

		Schema::drop('events');
		
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('comments', function($table) {
			$table->dropColumn('bewertung');
			$table->integer('event');
		});	

		Schema::create('events', function($table) {
			$table->increments('id');
			$table->string('name');
			$table->date('datum');
			$table->text('beschreibung');
			$table->timestamps();
		});

		Schema::drop('news');
	}

}